devel/ruby-version_gem - The NetBSD Packages Collection

Sugar for Version modules

VersionGem

Alternatives

This gem has a very niche purpose, which is:

1. providing introspection of a Version module based on a Version::VERSION
   constant string,
2. while not interfering with gemspec parsing where the VERSION string is
   traditionally used.

If this isn't precisely your use case you may be better off looking at
Versionaire, a wonderful, performant, well-maintained, gem from the
Alchemists.

For more discussion about this see issue #2

Build dependencies

pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

lang/ruby31-base

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64ruby26-version_gem-1.1.0.tgz
NetBSD 10.0aarch64ruby27-version_gem-1.1.0.tgz
NetBSD 10.0aarch64ruby30-version_gem-1.1.0.tgz
NetBSD 10.0aarch64ruby31-version_gem-1.1.0.tgz
NetBSD 10.0aarch64ruby27-version_gem-1.1.1.tgz
NetBSD 10.0aarch64ruby30-version_gem-1.1.1.tgz
NetBSD 10.0aarch64ruby31-version_gem-1.1.1.tgz
NetBSD 10.0earmv6hfruby26-version_gem-1.1.0.tgz
NetBSD 10.0earmv6hfruby27-version_gem-1.1.0.tgz
NetBSD 10.0earmv6hfruby30-version_gem-1.1.0.tgz
NetBSD 10.0earmv6hfruby31-version_gem-1.1.0.tgz
NetBSD 10.0earmv6hfruby27-version_gem-1.1.1.tgz
NetBSD 10.0earmv6hfruby30-version_gem-1.1.1.tgz
NetBSD 10.0earmv6hfruby31-version_gem-1.1.1.tgz
NetBSD 10.0earmv7hfruby26-version_gem-1.1.0.tgz
NetBSD 10.0earmv7hfruby27-version_gem-1.1.0.tgz
NetBSD 10.0earmv7hfruby30-version_gem-1.1.0.tgz
NetBSD 10.0earmv7hfruby31-version_gem-1.1.0.tgz
NetBSD 10.0earmv7hfruby27-version_gem-1.1.1.tgz
NetBSD 10.0earmv7hfruby30-version_gem-1.1.1.tgz
NetBSD 10.0earmv7hfruby31-version_gem-1.1.1.tgz
NetBSD 10.0i386ruby26-version_gem-1.1.0.tgz
NetBSD 10.0i386ruby27-version_gem-1.1.0.tgz
NetBSD 10.0i386ruby30-version_gem-1.1.0.tgz
NetBSD 10.0i386ruby31-version_gem-1.1.0.tgz
NetBSD 10.0powerpcruby26-version_gem-1.1.0.tgz
NetBSD 10.0powerpcruby27-version_gem-1.1.0.tgz
NetBSD 10.0powerpcruby30-version_gem-1.1.0.tgz
NetBSD 10.0powerpcruby31-version_gem-1.1.0.tgz
NetBSD 10.0powerpcruby26-version_gem-1.1.0.tgz
NetBSD 10.0powerpcruby27-version_gem-1.1.0.tgz
NetBSD 10.0powerpcruby30-version_gem-1.1.0.tgz
NetBSD 10.0powerpcruby31-version_gem-1.1.0.tgz
NetBSD 10.0x86_64ruby27-version_gem-1.1.1.tgz
NetBSD 10.0x86_64ruby30-version_gem-1.1.1.tgz
NetBSD 10.0x86_64ruby31-version_gem-1.1.1.tgz
NetBSD 10.0x86_64ruby26-version_gem-1.1.0.tgz
NetBSD 10.0x86_64ruby27-version_gem-1.1.0.tgz
NetBSD 10.0x86_64ruby30-version_gem-1.1.0.tgz
NetBSD 10.0x86_64ruby31-version_gem-1.1.0.tgz
NetBSD 8.0i386ruby26-version_gem-1.1.0.tgz
NetBSD 8.0i386ruby27-version_gem-1.1.0.tgz
NetBSD 8.0i386ruby30-version_gem-1.1.0.tgz
NetBSD 8.0i386ruby31-version_gem-1.1.0.tgz
NetBSD 8.0powerpcruby27-version_gem-1.1.1.tgz
NetBSD 8.0powerpcruby30-version_gem-1.1.1.tgz
NetBSD 8.0powerpcruby31-version_gem-1.1.1.tgz
NetBSD 8.0powerpcruby27-version_gem-1.1.1.tgz
NetBSD 8.0powerpcruby30-version_gem-1.1.1.tgz
NetBSD 8.0powerpcruby31-version_gem-1.1.1.tgz
NetBSD 8.0x86_64ruby26-version_gem-1.1.0.tgz
NetBSD 8.0x86_64ruby27-version_gem-1.1.0.tgz
NetBSD 8.0x86_64ruby30-version_gem-1.1.0.tgz
NetBSD 8.0x86_64ruby31-version_gem-1.1.0.tgz
NetBSD 9.0aarch64ruby26-version_gem-1.1.0.tgz
NetBSD 9.0aarch64ruby27-version_gem-1.1.0.tgz
NetBSD 9.0aarch64ruby30-version_gem-1.1.0.tgz
NetBSD 9.0aarch64ruby31-version_gem-1.1.0.tgz
NetBSD 9.0aarch64ruby27-version_gem-1.1.1.tgz
NetBSD 9.0aarch64ruby30-version_gem-1.1.1.tgz
NetBSD 9.0aarch64ruby31-version_gem-1.1.1.tgz
NetBSD 9.0alpharuby26-version_gem-1.1.0.tgz
NetBSD 9.0alpharuby27-version_gem-1.1.0.tgz
NetBSD 9.0alpharuby27-version_gem-1.1.1.tgz
NetBSD 9.0earmruby26-version_gem-1.1.0.tgz
NetBSD 9.0earmruby27-version_gem-1.1.0.tgz
NetBSD 9.0earmruby30-version_gem-1.1.0.tgz
NetBSD 9.0earmruby31-version_gem-1.1.0.tgz
NetBSD 9.0earmv6hfruby26-version_gem-1.1.0.tgz
NetBSD 9.0earmv6hfruby27-version_gem-1.1.0.tgz
NetBSD 9.0earmv6hfruby30-version_gem-1.1.0.tgz
NetBSD 9.0earmv6hfruby31-version_gem-1.1.0.tgz
NetBSD 9.0earmv6hfruby27-version_gem-1.1.1.tgz
NetBSD 9.0earmv6hfruby30-version_gem-1.1.1.tgz
NetBSD 9.0earmv6hfruby31-version_gem-1.1.1.tgz
NetBSD 9.0earmv7hfruby26-version_gem-1.1.0.tgz
NetBSD 9.0earmv7hfruby27-version_gem-1.1.0.tgz
NetBSD 9.0earmv7hfruby30-version_gem-1.1.0.tgz
NetBSD 9.0earmv7hfruby31-version_gem-1.1.0.tgz
NetBSD 9.0earmv7hfruby27-version_gem-1.1.1.tgz
NetBSD 9.0earmv7hfruby30-version_gem-1.1.1.tgz
NetBSD 9.0earmv7hfruby31-version_gem-1.1.1.tgz
NetBSD 9.0i386ruby26-version_gem-1.1.0.tgz
NetBSD 9.0i386ruby27-version_gem-1.1.0.tgz
NetBSD 9.0i386ruby30-version_gem-1.1.0.tgz
NetBSD 9.0i386ruby31-version_gem-1.1.0.tgz
NetBSD 9.0m68kruby26-version_gem-1.1.0.tgz
NetBSD 9.0m68kruby31-version_gem-1.1.0.tgz
NetBSD 9.0mips64ebruby26-version_gem-1.1.0.tgz
NetBSD 9.0mips64ebruby27-version_gem-1.1.0.tgz
NetBSD 9.0mips64ebruby30-version_gem-1.1.0.tgz
NetBSD 9.0mips64ebruby31-version_gem-1.1.0.tgz
NetBSD 9.0mips64ebruby27-version_gem-1.1.1.tgz
NetBSD 9.0mips64ebruby30-version_gem-1.1.1.tgz
NetBSD 9.0mips64ebruby31-version_gem-1.1.1.tgz
NetBSD 9.0powerpcruby26-version_gem-1.1.0.tgz
NetBSD 9.0powerpcruby27-version_gem-1.1.0.tgz
NetBSD 9.0powerpcruby30-version_gem-1.1.0.tgz
NetBSD 9.0powerpcruby31-version_gem-1.1.0.tgz
NetBSD 9.0powerpcruby26-version_gem-1.1.0.tgz
NetBSD 9.0powerpcruby27-version_gem-1.1.0.tgz
NetBSD 9.0powerpcruby30-version_gem-1.1.0.tgz
NetBSD 9.0powerpcruby31-version_gem-1.1.0.tgz
NetBSD 9.0sparc64ruby26-version_gem-1.1.0.tgz
NetBSD 9.0sparc64ruby27-version_gem-1.1.0.tgz
NetBSD 9.0sparc64ruby30-version_gem-1.1.0.tgz
NetBSD 9.0sparc64ruby31-version_gem-1.1.0.tgz
NetBSD 9.0sparc64ruby27-version_gem-1.1.1.tgz
NetBSD 9.0sparc64ruby30-version_gem-1.1.1.tgz
NetBSD 9.0sparc64ruby31-version_gem-1.1.1.tgz
NetBSD 9.0sparcruby27-version_gem-1.1.0.tgz
NetBSD 9.0sparcruby30-version_gem-1.1.0.tgz
NetBSD 9.0sparcruby31-version_gem-1.1.0.tgz
NetBSD 9.0sparcruby27-version_gem-1.1.1.tgz
NetBSD 9.0sparcruby30-version_gem-1.1.1.tgz
NetBSD 9.0sparcruby31-version_gem-1.1.1.tgz
NetBSD 9.0x86_64ruby26-version_gem-1.1.0.tgz
NetBSD 9.0x86_64ruby27-version_gem-1.1.0.tgz
NetBSD 9.0x86_64ruby30-version_gem-1.1.0.tgz
NetBSD 9.0x86_64ruby31-version_gem-1.1.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.